#!/usr/bin/python2
#
# Copyright (c) 2013 Intel, Inc.
# Author igor.stoppa@intel.com
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""BaseCommand - common denominator for user-invoked commands"""

from argparse import ArgumentParser
from tizentestrobot.devicesmanager import DevicesManager

VERSION = "0.1.0"

class BaseCommand(object):
    """Abstract Class supporting the command line tools"""
    def __init__(self):
        if type(self) == BaseCommand:
            raise NotImplementedError
        self._args = None
        self._parser = ArgumentParser()
        self._devicesmanager = DevicesManager()

    def _parse_args(self):
        """Takes care of cmd line parameters"""
        raise NotImplementedError

