#!/usr/bin/python2
#
# Copyright (c) 2013 Intel, Inc.
# Author igor.stoppa@intel.com
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""Class representing a Tizen DUT"""


from __future__ import print_function

VERSION = "0.1.0"

class Device(object):
    """Class representing a Tizen DUT"""
    def __init__(self, name, model, dev_id, cutter_id, cutter_ch="0"):
        self.name = name
        self.model = model
        self.dev_id = dev_id
        self.cutter_id = cutter_id
        self.cutter_ch = cutter_ch

    def __eq__(self, comp):
        return (self.dev_id == comp.dev_id)

    def __ne__(self, comp):
        return (self.dev_id != comp.dev_id)

    def __repr__(self):
        return "Device({0}, {1}, {2}, {3}, {4})". \
                format(self.name, self.model, self.dev_id,
                       self.cutter_id, self.cutter_ch)
