
#!/usr/bin/python2
#
# Copyright (c) 2013 Intel, Inc.
# Author igor.stoppa@intel.com
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""Class to interface with the sdb tool"""

from __future__ import print_function
from tizentestrobot.cmdlinetool import CmdLineTool
from os.path import expanduser

class Ssh(CmdLineTool):
    """ssh wrapper"""
    def __init__(self):
        CmdLineTool.__init__(self, "ssh")
        home = expanduser("~")
        self._default_parms = [
            "-i", home + "/.ssh/id_rsa_testing_harness",
            "-o", "UserKnownHostsFile=/dev/null",
            "-o", "StrictHostKeyChecking=no",
            "-o", "BatchMode=yes",
            "-o", "ConnectTimeout=2"]

    def run(self, parms = []):
        """Executes ssh with custom parameters"""
        return CmdLineTool.run(self, self._default_parms + parms)
