#!/usr/bin/python2
#
# Copyright (c) 2013 Intel, Inc.
# Author igor.stoppa@intel.com
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""Class for flashing sw images to selected DUTs from the cfg file"""

from __future__ import print_function
from tizentestrobot.basecommand import BaseCommand

VERSION = "0.1.0"

class Flasher(BaseCommand):
    """Writes flashble image to compatible device"""
    def __init__(self):
        BaseCommand.__init__(self)

    def _parse_args(self):
        """Argument Parser"""
        self._parser.add_argument("-f", "--cfg-file", action = "store",
            dest = "cfg_file",
            default = "/usr/share/tztestrobot/tzdevices.cfg",
            help = "File listing the devices attached, " +
                "defaults to %(default)s")
        self._parser.add_argument("img_file", action="store",
            help = "Image to be flashed: either a local file or an URL.")
        return self._parser.parse_args()

    def flash(self):
        """Image flasher"""
        self._args = self._parse_args()
        self._devicesmanager.read_topology(self._args.cfg_file)
        file_name = \
            self._devicesmanager.fetch_image(self._args.img_file)
        self._devicesmanager.flash_image(file_name)
