#!/usr/bin/python2
#
# Copyright (c) 2013 Intel, Inc.
# Author igor.stoppa@intel.com
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""Class for generating config file of connected DUTs and their topology"""

from __future__ import print_function
from tizentestrobot.basecommand import BaseCommand

VERSION = "0.1.0"

class Probe(BaseCommand):
    """Generates cfg file of conencted DUTs and related topology"""
    def __init__(self):
        BaseCommand.__init__(self)

    def _parse_args(self):
        """Argument Parser"""
        self._parser.add_argument("-f", "--cfg-file", action = "store",
            dest = "cfg_file",
            default = "/usr/share/tztestrobot/tzdevices.cfg",
            help = "File where to list the devices attached detected, " +
                   "defaults to %(default)s")
        return self._parser.parse_args()

    def generate_config(self):
        """Config file generator"""
        self._args = self._parse_args()
        self._devicesmanager.detect_topology()
        self._devicesmanager.save_topology(self._args.cfg_file)
